OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
StepData

# StepData_FileProtocol Class Reference

A FileProtocol is defined as the addition of several already
existing Protocols. It corresponds to the definition of a
SchemaName with several Names, each one being attached to a
specific Protocol. Thus, a File defined with a compound Schema
is processed as any other one, once built the equivalent
compound Protocol, a FileProtocol
.

`#include <StepData_FileProtocol.hxx>`

Inheritance diagram for StepData_FileProtocol:

[legend]

## Public Member Functions
Standard_EXPORT | StepData_FileProtocol ()
| Creates an empty FileProtocol .
Standard_EXPORT void | Add (const Handle(StepData_Protocol)&protocol)
| Adds a Protocol to the definition list of the FileProtocol But ensures that each class of Protocol is present only once in this list .
virtual Standard_EXPORT Standard_Integer | NbResources () const
| Gives the count of Protocols used as Resource (can be zero) i.e. the count of Protocol recorded by calling the method Add .
virtual Standard_EXPORT Handle_Interface_Protocol | Resource (const Standard_Integer num) const
| Returns a Resource, given a rank. Here, rank of calling Add .
virtual Standard_EXPORT Standard_Integer | TypeNumber (const Handle(Standard_Type)&atype) const
| Returns a Case Number, specific of each recognized Type Here, NO Type at all is recognized properly : all Types are recognized by the resources .
virtual Standard_EXPORT Standard_Boolean | GlobalCheck (const Interface_Graph &G, Handle(Interface_Check)&ach) const
| Calls GlobalCheck for each of its recorded ressources .
virtual Standard_EXPORT Standard_CString | SchemaName () const
| Returns the Schema Name attached to each class of Protocol To be redefined by each sub-class Here, SchemaName returns "" (empty String) was C++ : return const .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TColStd_SequenceOfTransient | thecomps

## Constructor & Destructor Documentation

Standard_EXPORT StepData_FileProtocol::StepData_FileProtocol | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void StepData_FileProtocol::Add | ( | const Handle(StepData_Protocol)& | protocol | ) |

virtual Standard_EXPORT Standard_Boolean StepData_FileProtocol::GlobalCheck | ( | const Interface_Graph & | G,
|  | Handle(Interface_Check)& | ach
| ) | const`[virtual]`

| Reimplemented from Interface_Protocol.

Standard_EXPORT const StepData_FileProtocol::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_Protocol. Reimplemented in StepData_DescrProtocol.

virtual Standard_EXPORT Standard_Integer StepData_FileProtocol::NbResources | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_Protocol.

virtual Standard_EXPORT Handle_Interface_Protocol StepData_FileProtocol::Resource | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented from StepData_Protocol.

virtual Standard_EXPORT Standard_CString StepData_FileProtocol::SchemaName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_Protocol. Reimplemented in StepData_DescrProtocol.

virtual Standard_EXPORT Standard_Integer StepData_FileProtocol::TypeNumber | ( | const Handle(Standard_Type)& | atype | ) | const`[virtual]`

| Reimplemented from StepData_Protocol.

## Field Documentation

TColStd_SequenceOfTransient StepData_FileProtocol::thecomps`[private]`

The documentation for this class was generated from the following file:

- StepData_FileProtocol.hxx